%define majver 0.3

Summary: Library of Optimized Inner Loops
Name: liboil
Version: 0.3.1
Release: 1
Group: System/Libraries
License: LGPL
Url: http://www.schleef.org/liboil/
Source: %{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Liboil is a library of simple functions that are optimized for various CPUs. These functions are generally loops implementing simple algorithms, such as converting an array of N integers to floating-point numbers or multiplying and summing an array of N numbers. Clearly such functions are candidates for significant optimization using various techniques, especially by using extended instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

%package devel
Summary: Libraries and include files for %{name} application development
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries and include files for %{name} application development

%prep
%setup -q

%build
%configure --with-html-dir=/opt/gnome/share/gtk-doc/html
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog COPYING
%{_libdir}/*.so.*
/opt/gnome/share/gtk-doc/html/liboil/*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/%{name}-%{majver}/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Apr 04 2005 Joe Morris <joe_morris@ntm.org>
- updated to 0.3.1
* Wed Dec 1 2004 Joe Morris <joe_morris@ntm.org>
- modified for SuSE 9.2 x86_64
* Tue Nov 23 2004 Kitt Tientanopajai <kitty@kitty.in.th>
- Initial RPM release
